Subject: Re: bug#31305: 27.0.50; Symlinks recognized as dirs

From: Alan Third <[email-masked]>
Date: Sun, 29 Apr 2018 21:09:33 +0100

On Sat, Apr 28, 2018 at 09:44:38PM +0100, Jimmy Yuen Ho Wong wrote:
> Reproduction:
> 
> 0. Get a Mac
> 1. Download the most recent Emacs 26 nightly from
> https://emacsformacosx.com/builds
> 2. Symlink a file in a dir to another file in another dir
> 3. C-x C-f some prefix to the symlink
> 4. TAB for completion
> 5. Completion completed the path with an extra /
> 6. RET
> 7. Emacs opens up the dir as a new file in a fundamental mode buffer
> 
> Expectation:
> Completion should not complete the symlink as a dir, opening the dir as
> a regular file instead of dired should also not be possible.

I could have sworn we fixed this, but I can’t find the previous bug
report.

FWIW, I can’t reproduce it.
-- 
Alan Third